summaryrefslogtreecommitdiff
path: root/package/snort/patches/patch-configure
diff options
context:
space:
mode:
Diffstat (limited to 'package/snort/patches/patch-configure')
-rw-r--r--package/snort/patches/patch-configure83
1 files changed, 83 insertions, 0 deletions
diff --git a/package/snort/patches/patch-configure b/package/snort/patches/patch-configure
new file mode 100644
index 000000000..ddf3d5bba
--- /dev/null
+++ b/package/snort/patches/patch-configure
@@ -0,0 +1,83 @@
+--- snort-2.8.5.1.orig/configure 2009-10-19 23:08:11.000000000 +0200
++++ snort-2.8.5.1/configure 2009-12-27 15:59:57.000000000 +0100
+@@ -24242,70 +24242,7 @@ _ACEOF
+ fi
+
+
+-# In case INADDR_NONE is not defined (like on Solaris)
+-have_inaddr_none="no"
+-echo "$as_me:$LINENO: checking for INADDR_NONE" >&5
+-echo $ECHO_N "checking for INADDR_NONE... $ECHO_C" >&6
+-if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-
+-#include <sys/types.h>
+-#include <netinet/in.h>
+-#include <arpa/inet.h>
+-
+-int
+-main ()
+-{
+-
+- if (inet_addr("10,5,2") == INADDR_NONE);
+- return 0;
+-
+- ;
+- return 0;
+-}
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+- (eval $ac_link) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+- have_inaddr_none="yes"
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-have_inaddr_none="no"
+-fi
+-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-echo "$as_me:$LINENO: result: $have_inaddr_none" >&5
+-echo "${ECHO_T}$have_inaddr_none" >&6
+-if test "x$have_inaddr_none" = "xno"; then
+-
+-cat >>confdefs.h <<\_ACEOF
+-#define INADDR_NONE -1
+-_ACEOF
+-
+-fi
++have_inaddr_none="yes"
+
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+@@ -24959,7 +24896,7 @@ fi
+ # that versions < 0.9 do not accumulate packet statistics whereas >= 0.9 do accumulate.
+ # This is Linux only. The check is done after pcre because the code below uses pcre.
+ # It seems Phil Wood's pcap does not accumulate - 0.9x
+-pcap_version_check="yes"
++pcap_version_check="no"
+ if test "x$linux" = "xyes"; then
+ if test "x$pcap_version_check" = "xyes"; then
+ echo "$as_me:$LINENO: checking for libpcap version >= 0.9" >&5